<?php
/**
 * @package         CMWatch server
 * @copyright       Copyright (C) 2012 Mariusz Dziewulski. All rights reserved.
 * @license         see LICENSE.txt
 * CMWatch server is free software only for non commercial use.
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<HEAD>
    <TITLE>CMWatch 3 server</TITLE>
    <META http-equiv="content-type" content="text/html; charset=utf-8">
    <link type="text/css" href="js/js/css/custom/jquery-ui.custom.css" rel="stylesheet" />
    <script type="text/javascript" src="js/js/jquery.js"></script>
    <script type="text/javascript" src="js/js/jquery-ui.js"></script>
    <link rel="stylesheet" type="text/css" media="screen" href="js/jqGrid/css/ui.jqgrid.css" />
    <script src="js/jqGrid/i18n/grid.locale-en.js" type="text/javascript"></script>
    <script src="js/jqGrid/jquery.jqGrid.min.js" type="text/javascript"></script>

    <script type="text/javascript">
        function open_cmwatch(ip)
        {
            top.opener.location.href="cmwatch.php?ip="+ip; 
        }
    </script>
</HEAD>
<body>
<div>
    <input  name="close_id"   id="close_id"   value=" Close "   type="reset" onclick="javascript:window.close();">
</div>
<hr>

<table id="grid1"></table>
<div id="pager1"></div>
<script type="text/javascript">
//$(function() {
//		$( "input:reset", ".buttond" ).button();
//	});
        
function run_cmwatch(cellvalue, options, rowObject)
{
   return "<a href='#' onclick=javascript:open_cmwatch("+"'"+cellvalue+"'"+")>"+cellvalue+"</a>";
}    
    
var mygrid = jQuery("#grid1").jqGrid({
   	url:"get_list_auto_check.php",
	datatype: "xml",
   	colNames:['ID','IP'],
   	colModel:[
                {name:'id',          index:'id',           width:30,  hidden:false,title:false},
   		{name:'ip',          index:'ip',           width:100, hidden:false,title:false,editable:true,formatter: run_cmwatch}
   	],
   	rowNum:60,
   	rowList:[60,100,300,1000],
        emptyrecords: "No data",
   	pager: '#pager1',
        toppager: true,
        mType: "GET",
        viewrecords: true,
        //width: "100%",
        height: 520,
        caption:"Auto-check CM list",
        autowidth: true,
        ignoreCase: true,
        loadonce: true
});
$(window).bind('resize', function() {
    $("#grid1").setGridHeight($(window).height()-160);
    $("#grid1").setGridWidth($(window).width()-15);
}).trigger('resize');
jQuery("#grid1").jqGrid('navGrid','#pager1',{edit:false,add:false,del:false,search:true,refresh:false,cloneToTop:true},
{},{},{},
{closeOnEscape:true,multipleSearch:true,multipleGroup:true,searchOnEnter:true});

</script>    
</body>
</html>