<?php
/**
 * @package         CMWatch server
 * @copyright       Copyright (C) 2012 Mariusz Dziewulski. All rights reserved.
 * @license         see LICENSE.txt
 * CMWatch server is free software only for non commercial use.
 */
    
 class open_list_from_cmts
   {
      var $cmts_ip;
      var $cmts_ro_community;
      var $cmts_rw_community;
      var $file_list;
      var $read_cm_from_cmts_with_location;
      
      var $cm_list=array();
      var $cm_mac=array();
      var $url;

      public function __construct($url,$read_cm_from_cmts_with_location)
      {
         require("config.php"); 
         session_start();
         
         $this->cmts_ip=$cmts_ip;
         $this->cmts_ro_community=$cmts_ro_community;
         $this->cmts_rw_community=$cmts_rw_community;
         $this->community_ro=$community_ro;
         $this->url=$url;
         $this->read_cm_from_cmts_with_location=$read_cm_from_cmts_with_location;
                  
         if (isset($_SESSION["cmts_ip"]))                 {$this->cmts_ip=$_SESSION["cmts_ip"];}
         if (isset($_SESSION["cmts_read_community"]))     {$this->cmts_ro_community=$_SESSION["cmts_read_community"];}
         if (isset($_SESSION["cmts_readwrite_community"])){$this->cmts_rw_community=$_SESSION["cmts_readwrite_community"];}
         
         $this->file_list='./list_cm_cmts_'.$this->cmts_ip.'.dat';         
      }
      
      //function snmp_get($oid = NULL)
      //{
      //   return str_replace($this->zastap,"",snmpget($this->ip_address, $this->community_ro, $oid,$this->snmp_timeout,$this->snmp_retries));
      //}
      
      function snmp_walk_cmts($oid = NULL)
      {
         return snmpwalkoid($this->cmts_ip, $this->cmts_ro_community, $oid);
      }
      function snmp_get_cmts($oid = NULL)
      {
         return snmpget($this->cmts_ip, $this->cmts_ro_community, $oid);
      }      

      function open_list($select)
      { 
        switch ($select)
        {
            case 0: if(!(file_exists($this->file_list)))
                    {
                        $handle=fopen($this->file_list,"w");
                        $lp=1;
                        $sid=array();
                        $sid=$this->snmp_walk_cmts('1.3.6.1.2.1.10.127.1.3.7.1.2');
                        for (reset($sid); $i = key($sid); next($sid))
                        {
                            $ssid=trim(str_replace('INTEGER:','',$sid[$i]));
                            $mac=str_replace(' ',':',str_replace('Hex-STRING: ','',trim($this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.2.'. $ssid))));
                            $ip =                    str_replace('IpAddress: ' ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.3.'. $ssid));
                            //$downstream_index=     str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.4.'. $ssid));
                            //$upstream_index=       str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.5.'. $ssid));
                            $registration=           str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.9.'. $ssid));
                            //$sn=                   str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.13.'.$ssid));
                            //$mod=                  str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.19.'.$ssid));
                            //$type_ip=              str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.20.'.$ssid));
                            $location="";
                            if($this->read_cm_from_cmts_with_location==1)
                                $location=str_replace("STRING: ","",snmpget($ip, $this->community_ro, "1.3.6.1.2.1.1.6.0",1000000,1));
                            
                            fwrite($handle,$lp.'|'.$mac.'|'.$ip.'|'.$registration.'|'.$location.'|');//.$downstream_index.'|'.$upstream_index.'|'.$sn.'|'.$mod.'|'.$type_ip.'|');
                            fwrite($handle,"\n");
                            $lp++;                            
                        }
                        fclose($handle);
                    }
               break;
            case 1: $sid=array();
                    $handle=fopen($this->file_list,"w");
                    $lp=1;
                    $sid=$this->snmp_walk_cmts('1.3.6.1.2.1.10.127.1.3.7.1.2');
                    for (reset($sid); $i = key($sid); next($sid))
                    {
                        $ssid=trim(str_replace('INTEGER:','',$sid[$i]));
                        $mac=str_replace(' ',':',str_replace('Hex-STRING: ','',trim($this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.2.'. $ssid))));
                        $ip =                    str_replace('IpAddress: ' ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.3.'. $ssid));
                        //$downstream_index=     str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.4.'. $ssid));
                        //$upstream_index=       str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.5.'. $ssid));
                        $registration=           str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.9.'. $ssid));
                        //$sn=                   str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.13.'.$ssid));
                        //$mod=                  str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.19.'.$ssid));
                        //$type_ip=              str_replace('INTEGER: '   ,'',$this->snmp_get_cmts('1.3.6.1.2.1.10.127.1.3.3.1.20.'.$ssid));
                        $location="";
                        if($this->read_cm_from_cmts_with_location==1)
                            $location=str_replace("STRING: ","",snmpget($ip, $this->community_ro, "1.3.6.1.2.1.1.6.0",1000000,1));
                            
                        fwrite($handle,$lp.'|'.$mac.'|'.$ip.'|'.$registration.'|'.$location.'|');//.$downstream_index.'|'.$upstream_index.'|'.$sn.'|'.$mod.'|'.$type_ip.'|');
                        fwrite($handle,"\n");
                        $lp++;                            
                    }
                    fclose($handle);
               break;
        }
      }
      
      function open_html()
      {
          $handle=fopen($this->file_list,"r");
          echo '<table border="1" cellpadding="4" cellspacing="0" width="90%">';
          while (!feof($handle))
          {
            list($lp,$mac,$ip,$registration)=split("\|",fgets($handle,1024));
            
            switch ($registration)
            {
             case 1:  $registration="Offline/Other";
                 break;
             case 2:  $registration="Ranging";
                 break;
             case 3:  $registration="Ranging aborted";
                 break;
             case 4:  $registration="Ranging complete";
                 break;
             case 5:  $registration="IP complete";
                 break;
             case 6:  $registration="Registration complete";
                 break;
             case 7:  $registration="Access denied";
                 break;
             case 8:  $registration="Operational";
                 break;
             case 9:  $registration="Registered BPI initializing";
                 break;
             default: $registration="No data";
            }
                        
            $url_function_ip= "open_cmwatch(".'"'.$this->url."?ip=".$ip.'"'.");return false;";    
            $url_function_mac="open_cmwatch(".'"'.$this->url."?ip=".$mac.'"'.");return false;";    
            echo "<tr>";
            echo "<td width='10%'><font face='Verdana' size='1'>$lp</td></font>";
            echo "<td width='40%'><a href='#' onclick=".$url_function_ip."><font face='Verdana' size='1'>$ip</a></td></font>";
            echo "<td width='20%'><a href='#' onclick=".$url_function_mac."><font face='Verdana' size='1'>$mac</a></td></font>";
            echo "<td width='40%'><font face='Verdana' size='1'>$registration</td></font>";
            echo "</tr>";                        
          }
          fclose($handle);          
      }
      
      function open_xml()
      {
          $handle=fopen($this->file_list,"r");

          if ( stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml") )
          {
                header("Content-type: application/xhtml+xml;xml:lang='pl'");
          } else 
              {
                header("Content-type: text/xml;xml:lang='pl'");
              }          
          echo "<?xml version='1.0'?>\n";
          echo "<rows>";          
          
          while (!feof($handle))
          {
            list($lp,$mac,$ip,$registration,$location)=split("\|",fgets($handle,1024));
            
            switch ($registration)
            {
             case 1:  $registration="Offline/Other";
                 break;
             case 2:  $registration="Ranging";
                 break;
             case 3:  $registration="Ranging aborted";
                 break;
             case 4:  $registration="Ranging complete";
                 break;
             case 5:  $registration="IP complete";
                 break;
             case 6:  $registration="Registration complete";
                 break;
             case 7:  $registration="Access denied";
                 break;
             case 8:  $registration="Operational";
                 break;
             case 9:  $registration="Registered BPI initializing";
                 break;
             default: $registration="No data";
            }
                        
            //$url_function_ip= "open_cmwatch(".'"'.$this->url."?ip=".$ip.'"'.");return false;";    
            //$url_function_mac="open_cmwatch(".'"'.$this->url."?ip=".$mac.'"'.");return false;";    
            
            if(!(trim($ip)==""))
            {    
                echo "<row id='". ''."'>";                
                echo "<cell>". $lp."</cell>";
                echo "<cell><![CDATA[". $ip."]]></cell>";
                echo "<cell><![CDATA[". $mac."]]></cell>";
                echo "<cell><![CDATA[". $registration."]]></cell>";
                echo "<cell><![CDATA[". $location."]]></cell>";
                echo "</row>";            
            }    
          }
          echo "</rows>";
          fclose($handle);          
      }      
      
   }
   
?>
