<?php	
    include ("config.php");
	
    session_start();
    $ip_address = str_replace('\\','',$_REQUEST["ip"]);
    $ip_address = str_replace("'","",$ip_address);        
?>
<HTML>
<HEAD>
    <TITLE>ProNext</TITLE>
    <link type="text/css" href="js/js/custom/jquery-ui.custom.css" rel="stylesheet" />
    <script type="text/javascript" src="js/js/jquery.js"></script>
    <script type="text/javascript" src="js/js/jquery-ui.js"></script>
    <script type="text/javascript" src="js/js/jquery.flot.js"></script>    
</HEAD>

<body onload="rf_params();">
<b> RF parameters: <?php echo $ip_address ?></b>
<hr>
   <form>
         <input  name="clear_id" id="clear_id" value="Close"       type="reset" tabindex="1" class="button" onclick="javascript:window.close();">         
         <input  name="stop_id"  id="stop_id"  value="Stop check"  type="reset" tabindex="2" class="button" onclick="javascript:stopAuto();">         
         <input  name="start_id" id="start_id" value="Start check" type="reset" tabindex="3" class="button" onclick="javascript:rf_params();">  
   </form>

   <div id="rf_params_id"   style="width:700px;height:300px;"></div>
   <p></p>
   <div id="rf_sn_id"       style="width:700px;height:300px;"></div>
   
<script type="text/javascript">
var icmp_seq= 1;
var idInterval;
var ddata=[];
var udata=[];
var sndata=[];
var plot_rf_params;
var plot_sn;
var rf_params_id = $("#rf_params_id");
var rf_sn_id =     $("#rf_sn_id");

function rf_params()
{
    var interval="<?php echo $refresh_interval; ?>";
    idInterval=setInterval(startAuto,interval*1000);
}

function startAuto(){
    ip="<?php echo $ip_address; ?>";
    $.ajax({
        url: "rf_params_run.php?select=0",
        async: false,
        dataType: "json",
        type: "GET",
        data: ({ip : ip}),
        success: function(data){
            ddata.push([ icmp_seq , data ]);
        }
    });
    $.ajax({
        url: "rf_params_run.php?select=1",
        async: false,
        dataType: "json",
        type: "GET",
        data: ({ip : ip}),
        success: function(data){
            udata.push([ icmp_seq , data ]);
        }
    });                
    $.ajax({
        url: "rf_params_run.php?select=2",
        async: false,
        dataType: "json",
        type: "GET",
        data: ({ip : ip}),
        success: function(data){
            sndata.push([ icmp_seq , data ]);
        }
    });                    
    icmp_seq=icmp_seq+1;
    plot_rf_params.setData([
                {
                    data: ddata,
                    label: "Downstream [dBmV]"
                },
                {
                    data: udata,
                    label: "Upstream [dBmV]"
                }                    
             ]);
    plot_rf_params.setupGrid();
    plot_rf_params.draw();
    
    plot_rf_sn.setData([
                {
                    data: sndata,
                    label: "Downstream SNR [dB]"
                }
             ]);
    plot_rf_sn.setupGrid();
    plot_rf_sn.draw();    
}
function stopAuto(){
    clearInterval(idInterval);
}

$(function () {
    plot_rf_params = $.plot(rf_params_id, [ 
                {
                    data: ddata,
                    label: "Downstream [dBmV]"
                },
                {
                    data: udata,
                    label: "Upstream [dBmV]"
                }                    
             ],
                {
                    series: {
                            lines: { show: true, fill: true, steps: false },
                            points:{ show: false},
                            shadowSize: 0,
                            fill: true,
                            stack: 0
                    },
                    yaxis: {
                        show: true,
                        tickFormatter: function (v) { return v + " dBmV"; },
                        tickDecimals: 0, 
                        tickSize: 5
                    },
                    xaxis: {
                        show: false,
                        tickDecimals: 0, 
                        tickSize: 1
                    }                    
                }
           );
    plot_rf_params.draw();
    
    plot_rf_sn = $.plot(rf_sn_id, [ 
                {
                    data: ddata,
                    label: "Downstream SNR [dB]"
                }
             ],
                {
                    series: {
                            lines: { show: true, fill: true, steps: false },
                            points:{ show: false},
                            shadowSize: 0,
                            fill: true,
                            stack: 0
                    },
                    yaxis: {
                        show: true,
                        tickFormatter: function (v) { return v + " dB"; },
                        tickDecimals: 1, 
                        tickSize: 2,
                        min: 15
                    },
                    xaxis: {
                        show: false,
                        tickDecimals: 0, 
                        tickSize: 1
                    }                    
                }
           );
    plot_rf_sn.draw();    
});
</script>

</body>
</html>
